Create a Go Reader Payment

POST/v0/merchants/{merchant_code}/readers/{reader_id}/go-checkout

Initiates a payment on the SumUp Go terminal identified by the reader ID.

Use client_transaction_id as an idempotency key: retrying the request with the same value returns the result of the original payment instead of creating a duplicate.

OAuth scopes: Requires one of: payments, readers.write.

Required permissions:

  • readers_checkout_create

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2 with scopes paymentsreaders.write
Authorization guide

Path parameters

  • merchant_codestringrequired

    Short unique identifier for the merchant.

    Example: "MK10CL2A"

  • reader_idstringrequired
    minLength: 30maxLength: 30

    The unique identifier of the reader.

    Example: "rdr_3MSAFM23CK82VSTT4BN6RWSQ65"

Body parameters

application/jsonrequired

Payment details to initiate on the reader.

  • client_transaction_idstringrequired

    Caller-supplied correlation identifier, used as the idempotency key.

    Example: "19e12390-72cf-4f9f-80b5-b0c8a67fa43f"

  • total_amountobjectrequired

    Amount charged on the reader, including any tip. The amount is represented as an integer value altogether with the currency and the minor unit. For example, MXN 10.00 is represented as value 1000 with minor unit of 2.

    Example: {"currency":"MXN","value":1000}

    Show 2 properties
    • currencystringrequired

      Currency ISO 4217 code

      Example: "MXN"

    • valueintegerrequired

      Amount in minor units (e.g. cents).

      Example: 1000

  • affiliateobject

    Optional caller-supplied context about the integration initiating the payment.

    Show 2 properties
    • app_idstringrequired

      Example: "com.example.app"

    • keystringrequired

      Example: "123e4567-e89b-12d3-a456-426614174000"

  • tip_amountinteger

    Portion of total_amount that is a tip, in minor units.

    Example: 200

Responses

200application/json

Returns the result of the payment initiated on the reader.

  • dataobject
    Show 2 properties
    • Caller-supplied correlation identifier that was provided in the request.

      Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"

    • Transaction code returned by the acquirer/processing entity after processing the transaction.

      Example: "TEENSK4W2K"

400application/problem+json

The request is invalid.

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

401application/problem+json

Authentication failed or missing required scope.

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

404application/problem+json

The requested Reader resource does not exist.

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

422application/problem+json

The request could not be processed as it violates a business rule.

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

Type to search…